<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: console/include/console.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('console_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">console.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="console_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Daniele Giuliani on 2/17/21.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef EOES_CONSOLE_H</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define EOES_CONSOLE_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;../../include/debug.h&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#ifdef CONSOLE_IMPORT</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define EXTERN</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">   16</a></span>&#160;<span class="preprocessor">#define EXTERN extern</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">/* CONSTANTS */</span></div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="console_8h.html#a13d15bc912876fa5f7e468a821ca6b85">   20</a></span>&#160;<span class="preprocessor">#define AC_RED     &quot;\x1b[31m&quot;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="console_8h.html#ae6216b392629e258aabd4150eaa8ba64">   21</a></span>&#160;<span class="preprocessor">#define AC_GREEN   &quot;\x1b[32m&quot;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="console_8h.html#a8a067699b5a0dd2dd18f0c03d59eb55a">   22</a></span>&#160;<span class="preprocessor">#define AC_YELLOW  &quot;\x1b[33m&quot;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="console_8h.html#a774e18355fd82cd9111d6e02b9766ea8">   23</a></span>&#160;<span class="preprocessor">#define AC_BLUE    &quot;\x1b[34m&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="console_8h.html#a2e519edd7ea5067b75ac68ce39336f0a">   24</a></span>&#160;<span class="preprocessor">#define AC_MAGENTA &quot;\x1b[35m&quot;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="console_8h.html#a512224b8a85db03240e104de5b5b0547">   25</a></span>&#160;<span class="preprocessor">#define AC_CYAN    &quot;\x1b[36m&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="console_8h.html#a09e3d8850ec86b7be59e9679e5dd90c2">   26</a></span>&#160;<span class="preprocessor">#define AC_RESET   &quot;\x1b[0m&quot;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">/* FUNCTION PROTOTYPES */</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<a class="code" href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keywordtype">void</span> <a class="code" href="console_8h.html#a69eac9344a97459b5cd78fae29139a92">printError</a>(<span class="keywordtype">char</span> *message);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<a class="code" href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keywordtype">void</span> <a class="code" href="console_8h.html#ade36de660218fceb8ea273f49f56d5e3">printSuccess</a>(<span class="keywordtype">char</span> *message);</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<a class="code" href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keywordtype">void</span> <a class="code" href="console_8h.html#a68fa145f2ecb343ca428fd5897c8ce36">printWarning</a>(<span class="keywordtype">char</span> *message);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<a class="code" href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keywordtype">void</span> <a class="code" href="console_8h.html#a85964c07ad881d21d4f4a9e732d16408">printPrimary</a>(<span class="keywordtype">char</span> *message);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<a class="code" href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keywordtype">void</span> <a class="code" href="console_8h.html#a7b4b74a88dc472e1238fdc1f283530f1">printStrong</a>(<span class="keywordtype">char</span> *message);</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<a class="code" href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keywordtype">void</span> <a class="code" href="console_8h.html#a75888833bd0ad75c999ccb617029619c">printInfo</a>(<span class="keywordtype">char</span> *message);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#undef CONSOLE_IMPORT</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#undef EXTERN</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#endif //EOES_CONSOLE_H</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aconsole_8h_html_ade36de660218fceb8ea273f49f56d5e3"><div class="ttname"><a href="console_8h.html#ade36de660218fceb8ea273f49f56d5e3">printSuccess</a></div><div class="ttdeci">EXTERN void printSuccess(char *message)</div><div class="ttdoc">print a string Success with a GREEN color</div><div class="ttdef"><b>Definition:</b> console.c:25</div></div>
<div class="ttc" id="aconsole_8h_html_a7b4b74a88dc472e1238fdc1f283530f1"><div class="ttname"><a href="console_8h.html#a7b4b74a88dc472e1238fdc1f283530f1">printStrong</a></div><div class="ttdeci">EXTERN void printStrong(char *message)</div><div class="ttdoc">print a string Strong with a BLUE color</div><div class="ttdef"><b>Definition:</b> console.c:58</div></div>
<div class="ttc" id="aconsole_8h_html_a77366c1bd428629dc898e188bfd182a3"><div class="ttname"><a href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a></div><div class="ttdeci">#define EXTERN</div><div class="ttdef"><b>Definition:</b> console.h:16</div></div>
<div class="ttc" id="aconsole_8h_html_a68fa145f2ecb343ca428fd5897c8ce36"><div class="ttname"><a href="console_8h.html#a68fa145f2ecb343ca428fd5897c8ce36">printWarning</a></div><div class="ttdeci">EXTERN void printWarning(char *message)</div><div class="ttdoc">print a string Warning with a YELLOW color</div><div class="ttdef"><b>Definition:</b> console.c:36</div></div>
<div class="ttc" id="aconsole_8h_html_a69eac9344a97459b5cd78fae29139a92"><div class="ttname"><a href="console_8h.html#a69eac9344a97459b5cd78fae29139a92">printError</a></div><div class="ttdeci">EXTERN void printError(char *message)</div><div class="ttdoc">@ a string printError with a param message RED color</div><div class="ttdef"><b>Definition:</b> console.c:14</div></div>
<div class="ttc" id="aconsole_8h_html_a85964c07ad881d21d4f4a9e732d16408"><div class="ttname"><a href="console_8h.html#a85964c07ad881d21d4f4a9e732d16408">printPrimary</a></div><div class="ttdeci">EXTERN void printPrimary(char *message)</div><div class="ttdoc">print a string Primary with a CYAN color</div><div class="ttdef"><b>Definition:</b> console.c:47</div></div>
<div class="ttc" id="aconsole_8h_html_a75888833bd0ad75c999ccb617029619c"><div class="ttname"><a href="console_8h.html#a75888833bd0ad75c999ccb617029619c">printInfo</a></div><div class="ttdeci">EXTERN void printInfo(char *message)</div><div class="ttdoc">print a string Info with a MAGENTA color</div><div class="ttdef"><b>Definition:</b> console.c:69</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9f97b40203d0b7782e2ba57c500dd0f3.html">console</a></li><li class="navelem"><a class="el" href="dir_5e4325ba8b80434cf9bbe8df5394c743.html">include</a></li><li class="navelem"><a class="el" href="console_8h.html">console.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
